org.w3._2001._04.xmlenc

## Class ReferenceType

- java.lang.Object
- - org.w3._2001._04.xmlenc.ReferenceType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:51:38+01:00",
                 comments="JAXB RI v2.3.7")
      public class ReferenceType
      extends Object
      implements Serializable

  Java class for ReferenceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ReferenceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <any namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="URI" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getAnies()` Gets the value of the anies property.
    `String` | `getURI()` Gets the value of the uri property.
    `void` | `setURI(String value)` Sets the value of the uri property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferenceType

          public ReferenceType()

  - ### Method Detail

    - #### getAnies

          public List<Object> getAnies()

      Gets the value of the anies property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the anies property.

      For example, to add a new item, do as follows:

              getAnies().add(newItem);

      Objects of the following type(s) are allowed in the list `Object`

    - #### getURI

          public String getURI()

      Gets the value of the uri property.
      Returns:
        possible object is `String`

    - #### setURI

          public void setURI(String value)

      Sets the value of the uri property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.